%define         name    knmap 
%define         version 2.1
%define         release %mkrel 3
%define         summary Knmap is a KDE-based interface to the nmap

%define         __libtoolize /bin/true
%define         __cputoolize /bin/true

Name:           %name
Version:        %version
Release:        %release
Summary:        %summary
License:        GPL
URL:            http://sourceforge.net/projects/knmap
Group:          Networking/Other
Source:         http://ovh.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.bz2 
Source10:       %name-16.png
Source11:       %name-32.png
Source12:       %name-48.png
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  kdelibs-devel >= 3.2
Requires:       nmap

%description
Knmap is a KDE-based interface to the 'nmap' 
facility available at http://www.insecure.org/nmap.

Version 2.0 adds the ability to control 
multiple copies of nmap from within the one instance of Knmap.

The main Knmap window is split in two vertically. 
The window on the left is the Index Window - 
it displays the (user specified) names of all scans. 
The window on the right is the Scan Window - 
it displays the details of the "current" scan. 
The Scan Window corresponds to the main window in Version 1.0 of Knmap.

As a lot of code has been added 
and a lot of existing code has been pushed 
and pulled to various other locations, 
it is highly likely that there more than a few bugs in this Beta release.


%prep
rm -rf %buildroot


%setup -q -n %name-%version

%build

make -f admin/Makefile.common
%configure --with-xinerama --disable-rpath \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%install
rm -rf %buildroot
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}

%{makeinstall_std}
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png
perl -pi -e "s|Name=knmap|Name=Knmap|" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %name "Networking/Other" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name

%find_lang %name


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%_bindir/%name
%_datadir/applnk/Utilities/%name.desktop
%_datadir/apps/%name/knmapui.rc
%_datadir/apps/%name/nmap_manpage.html
%_datadir/apps/%name/nmap_manpage.html.diff
%_docdir/HTML/en/%name/*
%_iconsdir/hicolor/*
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1-3mdk
- build with automake1.8

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.1-2mdk
- Rebuild to generate categories

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.1-1mdk
- New release 2.1
- Change URL
- Make rpmBuildUpdate friendly

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 2.0-1.beta1.1mdk
- fix x86_64 build

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-0.beta2mdk
- Fix BuildRequires

* Wed Dec 21 2005 Sebastien Savarin <plouf@mandriva.org> 2.0-0.beta1mdk
- First Mandriva Linux release
